[{"_id":"654057be0dbbbeae9b47130c","referenceApi":"643af10a-fd07-43f1-a471-f0332901c430","title":"Company List API","openApi":"{\n  \"openapi\": \"3.0.1\",\n  \"info\": {\n    \"title\": \"Companies API\",\n    \"description\": \"The Companies API provides access to offices, organizational units and practice groups in the Tracker Company database.\",\n    \"contact\": {\n      \"name\": \"devportal\"\n    },\n    \"version\": \"1.0\"\n  },\n  \"servers\": [\n    {\n      \"url\": \"https://api.thomsonreuters.com/legal-tracker/companies-api/v1\"\n    },\n    {\n      \"url\": \"https://api.thomsonreuters.co.uk/legal-tracker/companies-api/v1\"\n    },\n    {\n      \"url\": \"https://api.thomsonreuters.ca/legal-tracker/companies-api/v1\"\n    },\n    {\n      \"url\": \"https://api.thomsonreuters.com.au/legal-tracker/companies-api/v1\"\n    },\n    {\n      \"url\": \"https://api.thomsonreuters.de/legal-tracker/companies-api/v1\"\n    },\n    {\n      \"url\": \"https://api.thomsonreuters.ae/legal-tracker/companies-api/v1\"\n    }\n  ],\n  \"paths\": {\n    \"/offices/{id}\": {\n      \"get\": {\n        \"tags\": [\n          \"Offices\"\n        ],\n        \"summary\": \"Get a company office with the provided identifier.\",\n        \"operationId\": \"Companies_GetCompanyOffice\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The company office identifier.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          },\n          {\n            \"name\": \"If-None-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag doesn't equal the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$select\",\n            \"in\": \"query\",\n            \"description\": \"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"address\",\n                  \"mailingAddress\",\n                  \"phone\",\n                  \"fax\",\n                  \"coordinator\",\n                  \"backupCoordinator\",\n                  \"defaultLocale\",\n                  \"auditInformation\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          }\n        ],\n        \"responses\": {\n          \"200\": {\n            \"description\": \"A company office is successfully returned.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/CompanyOffice\"\n                }\n              }\n            }\n          },\n          \"304\": {\n            \"description\": \"Company office is not modified.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"Company office is not found.\"\n          }\n        }\n      }\n    },\n    \"/offices\": {\n      \"get\": {\n        \"tags\": [\n          \"Offices\"\n        ],\n        \"summary\": \"Query for company offices based on an OData filter query.\",\n        \"operationId\": \"Companies_GetCompanyOffices\",\n        \"parameters\": [\n          {\n            \"name\": \"If-None-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag doesn't equal the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$top\",\n            \"in\": \"query\",\n            \"description\": \"Show only the first n items, see [Paging - Top](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptiontop)\",\n            \"schema\": {\n              \"maximum\": 1000,\n              \"minimum\": 1,\n              \"type\": \"integer\",\n              \"default\": 50\n            },\n            \"example\": 50\n          },\n          {\n            \"name\": \"$skip\",\n            \"in\": \"query\",\n            \"description\": \"Skip the first n items, see [Paging - Skip](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionskip)\",\n            \"schema\": {\n              \"minimum\": 0,\n              \"type\": \"integer\",\n              \"default\": 0\n            },\n            \"example\": 0\n          },\n          {\n            \"name\": \"$filter\",\n            \"in\": \"query\",\n            \"description\": \"Filter items by property values, see [Filtering](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionfilter)<br /><br /><i>Available operations:</i> eq, ne, gt, ge, lt, le, in, and, or, not<br /><i>Available functions:</i> contains, startswith, endswith, indexof<br /><i>Available properties:</i> id, name, isActive, address, mailingAddress, phone, fax, coordinator, backupCoordinator, defaultLocale, auditInformation, address/street1, address/street2, address/city, address/state, address/provinceRegion, address/zip, address/country, address/state/id, address/state/name, address/state/abbreviation, address/country/id, address/country/name, address/country/isoCode, mailingAddress/street1, mailingAddress/street2, mailingAddress/city, mailingAddress/state, mailingAddress/provinceRegion, mailingAddress/zip, mailingAddress/country, mailingAddress/state/id, mailingAddress/state/name, mailingAddress/state/abbreviation, mailingAddress/country/id, mailingAddress/country/name, mailingAddress/country/isoCode, coordinator/id, coordinator/name, coordinator/email, backupCoordinator/id, backupCoordinator/name, backupCoordinator/email, auditInformation/createdDateTime, auditInformation/createdBy, auditInformation/changedDateTime, auditInformation/changedBy, auditInformation/createdBy/id, auditInformation/createdBy/name, auditInformation/createdBy/email, auditInformation/changedBy/id, auditInformation/changedBy/name, auditInformation/changedBy/email\",\n            \"schema\": {\n              \"type\": \"string\",\n              \"nullable\": true\n            },\n            \"examples\": {\n              \"Filter name\": {\n                \"value\": \"name eq 'office1'\"\n              },\n              \"Filter address/city\": {\n                \"value\": \"address/city in ('Toronto', 'London')\"\n              },\n              \"StartsWith Function\": {\n                \"value\": \"startswith(phone, '416')\"\n              },\n              \"IndexOf Function\": {\n                \"value\": \"indexof(name, 'office1') eq 2\"\n              },\n              \"Mixed Filter\": {\n                \"value\": \"contains(name, 'office1') and address/zip eq 'M2L3W9'\"\n              }\n            }\n          },\n          {\n            \"name\": \"$select\",\n            \"in\": \"query\",\n            \"description\": \"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"address\",\n                  \"mailingAddress\",\n                  \"phone\",\n                  \"fax\",\n                  \"coordinator\",\n                  \"backupCoordinator\",\n                  \"defaultLocale\",\n                  \"auditInformation\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          },\n          {\n            \"name\": \"$orderby\",\n            \"in\": \"query\",\n            \"description\": \"Order items by property values, see [Sorting](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionorderby)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"phone\",\n                  \"fax\",\n                  \"defaultLocale\",\n                  \"id desc\",\n                  \"name desc\",\n                  \"isActive desc\",\n                  \"phone desc\",\n                  \"fax desc\",\n                  \"defaultLocale desc\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          },\n          {\n            \"name\": \"$expand\",\n            \"in\": \"query\",\n            \"description\": \"Expand a complex property, see [Expand](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionexpand)\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$count\",\n            \"in\": \"query\",\n            \"description\": \"Include count of items, see [Count](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptioncount)\",\n            \"schema\": {\n              \"type\": \"integer\"\n            }\n          }\n        ],\n        \"responses\": {\n          \"200\": {\n            \"description\": \"Returns the company office or offices that match the OData query.\",\n            \"headers\": {\n              \"ETag\": {\n                \"description\": \"Entity tag is part of HTTP provided for web cache validation problem, but also used for optimistic concurrency control.\",\n                \"schema\": {\n                  \"type\": \"string\",\n                  \"description\": \"Entity tag is part of HTTP provided for web cache validation problem, but also used for optimistic concurrency control.\"\n                }\n              }\n            },\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/CompanyOfficeCollection\"\n                }\n              }\n            }\n          },\n          \"304\": {\n            \"description\": \"Returns a not modified response with empty body.\"\n          },\n          \"400\": {\n            \"description\": \"If the OData filter is invalid.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      }\n    },\n    \"/organizational-units\": {\n      \"get\": {\n        \"tags\": [\n          \"OrganizationalUnits\"\n        ],\n        \"summary\": \"Query for organizational units based on an OData filter query.\",\n        \"operationId\": \"Companies_GetOrgUnits\",\n        \"parameters\": [\n          {\n            \"name\": \"If-None-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag doesn't equal the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$top\",\n            \"in\": \"query\",\n            \"description\": \"Show only the first n items, see [Paging - Top](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptiontop)\",\n            \"schema\": {\n              \"maximum\": 1000,\n              \"minimum\": 1,\n              \"type\": \"integer\",\n              \"default\": 50\n            },\n            \"example\": 50\n          },\n          {\n            \"name\": \"$skip\",\n            \"in\": \"query\",\n            \"description\": \"Skip the first n items, see [Paging - Skip](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionskip)\",\n            \"schema\": {\n              \"minimum\": 0,\n              \"type\": \"integer\",\n              \"default\": 0\n            },\n            \"example\": 0\n          },\n          {\n            \"name\": \"$filter\",\n            \"in\": \"query\",\n            \"description\": \"Filter items by property values, see [Filtering](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionfilter)<br /><br /><i>Available operations:</i> eq, ne, gt, ge, lt, le, in, and, or, not<br /><i>Available functions:</i> contains, startswith, endswith, indexof<br /><i>Available properties:</i> id, name, isActive, parentId\",\n            \"schema\": {\n              \"type\": \"string\",\n              \"nullable\": true\n            },\n            \"examples\": {\n              \"Filter name\": {\n                \"value\": \"name eq 'All Org Units'\"\n              },\n              \"Filter parentId\": {\n                \"value\": \"parentId eq '100'\"\n              },\n              \"Filter isActive\": {\n                \"value\": \"isActive eq '1'\"\n              },\n              \"StartsWith Function\": {\n                \"value\": \"startswith(name, 'All')\"\n              },\n              \"Mixed Filter\": {\n                \"value\": \"contains(name, 'All') and parentId eq '0'\"\n              }\n            }\n          },\n          {\n            \"name\": \"$select\",\n            \"in\": \"query\",\n            \"description\": \"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"parentId\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          },\n          {\n            \"name\": \"$orderby\",\n            \"in\": \"query\",\n            \"description\": \"Order items by property values, see [Sorting](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionorderby)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"parentId\",\n                  \"id desc\",\n                  \"name desc\",\n                  \"isActive desc\",\n                  \"parentId desc\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          },\n          {\n            \"name\": \"$count\",\n            \"in\": \"query\",\n            \"description\": \"Include count of items, see [Count](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptioncount)\",\n            \"schema\": {\n              \"type\": \"integer\"\n            }\n          }\n        ],\n        \"responses\": {\n          \"200\": {\n            \"description\": \"Returns the GetOrgUnits that match the OData query.\",\n            \"headers\": {\n              \"ETag\": {\n                \"description\": \"Entity tag is a part of HTTP provided for web cache validation problems but is also used for optimistic concurrency control.\",\n                \"schema\": {\n                  \"type\": \"string\",\n                  \"description\": \"Entity tag is a part of HTTP provided for web cache validation problems but is also used for optimistic concurrency control.\"\n                }\n              }\n            },\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/OrganizationalUnitCollection\"\n                }\n              }\n            }\n          },\n          \"304\": {\n            \"description\": \"Returns a not-modified response with an empty body.\"\n          },\n          \"400\": {\n            \"description\": \"If the OData filter is invalid.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      },\n      \"post\": {\n        \"tags\": [\n          \"OrganizationalUnits\"\n        ],\n        \"summary\": \"Create a new organizational unit.\",\n        \"operationId\": \"Companies_CreateOrgUnit\",\n        \"parameters\": [\n          {\n            \"name\": \"Prefer\",\n            \"in\": \"header\",\n            \"description\": \"* return=representation: This is the default. The server includes an entity representing the current state of the resource. In response to a successful request a status of 201 would be returned.\\n* return=minimal: The response will not include the entity in the response. A successful request would result in a status of 204 to be returned.\",\n            \"schema\": {\n              \"type\": \"string\"\n            },\n            \"example\": \"return=representation\"\n          }\n        ],\n        \"requestBody\": {\n          \"description\": \"\",\n          \"content\": {\n            \"application/json\": {\n              \"schema\": {\n                \"$ref\": \"#/components/schemas/CreateOrganizationalUnitModel\"\n              }\n            }\n          }\n        },\n        \"responses\": {\n          \"201\": {\n            \"description\": \"Returns the created organizational unit.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/OrganizationalUnit\"\n                }\n              }\n            }\n          },\n          \"204\": {\n            \"description\": \"Organizational unit was created but identifier will not be provided in response.\"\n          },\n          \"400\": {\n            \"description\": \"If the OData filter is invalid.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      }\n    },\n    \"/organizational-units/{id}\": {\n      \"get\": {\n        \"tags\": [\n          \"OrganizationalUnits\"\n        ],\n        \"summary\": \"Get an organizational unit with the provided identifier.\",\n        \"operationId\": \"Companies_GetOrgUnit\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The organizational unit identifier.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          },\n          {\n            \"name\": \"If-None-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag doesn't equal the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$select\",\n            \"in\": \"query\",\n            \"description\": \"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"parentId\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          }\n        ],\n        \"responses\": {\n          \"200\": {\n            \"description\": \"Organizational unit is successfully returned.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/OrganizationalUnit\"\n                }\n              }\n            }\n          },\n          \"304\": {\n            \"description\": \"Organizational unit is not modified.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"Organizational unit is not found.\"\n          }\n        }\n      },\n      \"patch\": {\n        \"tags\": [\n          \"OrganizationalUnits\"\n        ],\n        \"summary\": \"Update an organizational unit with the provided identifier.\",\n        \"operationId\": \"Companies_UpdateOrgUnit\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The unique identifier of an organizational unit to be updated.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          },\n          {\n            \"name\": \"If-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag equals the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"Prefer\",\n            \"in\": \"header\",\n            \"description\": \"* return=representation: This is the default. The server includes an entity representing the current state of the resource. In response to a successful request a status of 200 would be returned.\\n* return=minimal: The response will not include the entity in the response. A successful request would result in a status of 204 to be returned.\",\n            \"schema\": {\n              \"type\": \"string\"\n            },\n            \"example\": \"return=representation\"\n          }\n        ],\n        \"requestBody\": {\n          \"description\": \"The model containing an organizational unit to be updated.\",\n          \"content\": {\n            \"application/json\": {\n              \"schema\": {\n                \"$ref\": \"#/components/schemas/UpdateOrganizationalUnitModel\"\n              }\n            }\n          }\n        },\n        \"responses\": {\n          \"200\": {\n            \"description\": \"Returns the organizational unit that was updated.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/OrganizationalUnit\"\n                }\n              }\n            }\n          },\n          \"204\": {\n            \"description\": \"Organizational unit was updated but will not be provided in response.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"If the organizational unit is not found.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"412\": {\n            \"description\": \"ETag provided in the If-Match header is out of date.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      },\n      \"delete\": {\n        \"tags\": [\n          \"OrganizationalUnits\"\n        ],\n        \"summary\": \"Delete an organizational unit with the provided identifier.\",\n        \"operationId\": \"Companies_DeleteOrgUnit\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The unique identifier of an organizational unit to be deleted.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          }\n        ],\n        \"responses\": {\n          \"204\": {\n            \"description\": \"Organizational unit was deleted.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"If the organizational unit is not found.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      }\n    },\n    \"/practice-groups/{id}\": {\n      \"get\": {\n        \"tags\": [\n          \"PracticeGroups\"\n        ],\n        \"summary\": \"Get a practice group with the provided identifier.\",\n        \"operationId\": \"Companies_GetPracticeGroup\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The practice group identifier.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          },\n          {\n            \"name\": \"If-None-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag doesn't equal the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$select\",\n            \"in\": \"query\",\n            \"description\": \"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"parentId\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          }\n        ],\n        \"responses\": {\n          \"200\": {\n            \"description\": \"A practice group is successfully returned.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/PracticeGroup\"\n                }\n              }\n            }\n          },\n          \"304\": {\n            \"description\": \"Practice Group is not modified.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"Practice Group is not found.\"\n          }\n        }\n      },\n      \"patch\": {\n        \"tags\": [\n          \"PracticeGroups\"\n        ],\n        \"summary\": \"Update a practice group with the provided identifier.\",\n        \"operationId\": \"Companies_UpdatePracticeGroup\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The unique identifier of a practice group to be updated.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          },\n          {\n            \"name\": \"If-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag equals the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"Prefer\",\n            \"in\": \"header\",\n            \"description\": \"* return=representation: This is the default. The server includes an entity representing the current state of the resource. In response to a successful request a status of 200 would be returned.\\n* return=minimal: The response will not include the entity in the response. A successful request would result in a status of 204 to be returned.\",\n            \"schema\": {\n              \"type\": \"string\"\n            },\n            \"example\": \"return=representation\"\n          }\n        ],\n        \"requestBody\": {\n          \"description\": \"The model containing a practice group to be updated.\",\n          \"content\": {\n            \"application/json\": {\n              \"schema\": {\n                \"$ref\": \"#/components/schemas/UpdatePracticeGroupModel\"\n              }\n            }\n          }\n        },\n        \"responses\": {\n          \"200\": {\n            \"description\": \"Returns the practice group that was updated.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/PracticeGroup\"\n                }\n              }\n            }\n          },\n          \"204\": {\n            \"description\": \"Practice Group was updated but will not be provided in response.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"If the practice group is not found.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"412\": {\n            \"description\": \"ETag provided in the If-Match header is out of date.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      },\n      \"delete\": {\n        \"tags\": [\n          \"PracticeGroups\"\n        ],\n        \"summary\": \"Delete a practice group with the provided identifier.\",\n        \"operationId\": \"Companies_DeletePracticeGroup\",\n        \"parameters\": [\n          {\n            \"name\": \"id\",\n            \"in\": \"path\",\n            \"description\": \"The unique identifier of a practice group to be updated.\",\n            \"required\": true,\n            \"schema\": {\n              \"type\": \"integer\",\n              \"format\": \"int32\"\n            }\n          }\n        ],\n        \"responses\": {\n          \"204\": {\n            \"description\": \"Practice Group was deleted.\"\n          },\n          \"400\": {\n            \"description\": \"Invalid request parameters.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"404\": {\n            \"description\": \"If the practice group is not found.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      }\n    },\n    \"/practice-groups\": {\n      \"get\": {\n        \"tags\": [\n          \"PracticeGroups\"\n        ],\n        \"summary\": \"Query for practice groups based on an OData filter query.\",\n        \"operationId\": \"Companies_GetPracticeGroups\",\n        \"parameters\": [\n          {\n            \"name\": \"If-None-Match\",\n            \"in\": \"header\",\n            \"description\": \"Executes a request only if the passed ETag doesn't equal the current resource ETag (i.e. resource hasn't changed).\",\n            \"schema\": {\n              \"type\": \"string\"\n            }\n          },\n          {\n            \"name\": \"$top\",\n            \"in\": \"query\",\n            \"description\": \"Show only the first n items, see [Paging - Top](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptiontop)\",\n            \"schema\": {\n              \"maximum\": 1000,\n              \"minimum\": 1,\n              \"type\": \"integer\",\n              \"default\": 50\n            },\n            \"example\": 50\n          },\n          {\n            \"name\": \"$skip\",\n            \"in\": \"query\",\n            \"description\": \"Skip the first n items, see [Paging - Skip](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionskip)\",\n            \"schema\": {\n              \"minimum\": 0,\n              \"type\": \"integer\",\n              \"default\": 0\n            },\n            \"example\": 0\n          },\n          {\n            \"name\": \"$filter\",\n            \"in\": \"query\",\n            \"description\": \"Filter items by property values, see [Filtering](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionfilter)<br /><br /><i>Available operations:</i> eq, ne, gt, ge, lt, le, in, and, or, not<br /><i>Available functions:</i> contains, startswith, endswith, indexof<br /><i>Available properties:</i> id, name, isActive, parentId\",\n            \"schema\": {\n              \"type\": \"string\",\n              \"nullable\": true\n            },\n            \"examples\": {\n              \"Filter name\": {\n                \"value\": \"name eq 'All Practice Group'\"\n              },\n              \"Filter parentId\": {\n                \"value\": \"parentId eq '100'\"\n              },\n              \"Filter isActive\": {\n                \"value\": \"isActive eq '1'\"\n              },\n              \"StartsWith Function\": {\n                \"value\": \"startswith(name, 'All')\"\n              },\n              \"Mixed Filter\": {\n                \"value\": \"contains(name, 'All') and parentId eq '0'\"\n              }\n            }\n          },\n          {\n            \"name\": \"$select\",\n            \"in\": \"query\",\n            \"description\": \"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"parentId\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          },\n          {\n            \"name\": \"$orderby\",\n            \"in\": \"query\",\n            \"description\": \"Order items by property values, see [Sorting](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionorderby)\",\n            \"schema\": {\n              \"uniqueItems\": true,\n              \"type\": \"array\",\n              \"items\": {\n                \"enum\": [\n                  \"id\",\n                  \"name\",\n                  \"isActive\",\n                  \"parentId\",\n                  \"id desc\",\n                  \"name desc\",\n                  \"isActive desc\",\n                  \"parentId desc\"\n                ],\n                \"type\": \"string\"\n              }\n            }\n          },\n          {\n            \"name\": \"$count\",\n            \"in\": \"query\",\n            \"description\": \"Include count of items, see [Count](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptioncount)\",\n            \"schema\": {\n              \"type\": \"integer\"\n            }\n          }\n        ],\n        \"responses\": {\n          \"200\": {\n            \"description\": \"Returns the GetPracticeGroups that match the OData query.\",\n            \"headers\": {\n              \"ETag\": {\n                \"description\": \"Entity tag is part of HTTP provided for web cache validation problem, but also used for optimistic concurrency control.\",\n                \"schema\": {\n                  \"type\": \"string\",\n                  \"description\": \"Entity tag is part of HTTP provided for web cache validation problem, but also used for optimistic concurrency control.\"\n                }\n              }\n            },\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/PracticeGroupCollection\"\n                }\n              }\n            }\n          },\n          \"304\": {\n            \"description\": \"Returns a not modified response with empty body.\"\n          },\n          \"400\": {\n            \"description\": \"If the OData filter is invalid.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      },\n      \"post\": {\n        \"tags\": [\n          \"PracticeGroups\"\n        ],\n        \"summary\": \"Create a new practice group.\",\n        \"operationId\": \"Companies_CreatePracticeGroup\",\n        \"parameters\": [\n          {\n            \"name\": \"Prefer\",\n            \"in\": \"header\",\n            \"description\": \"* return=representation: This is the default. The server includes an entity representing the current state of the resource. In response to a successful request a status of 201 would be returned.\\n* return=minimal: The response will not include the entity in the response. A successful request would result in a status of 204 to be returned.\",\n            \"schema\": {\n              \"type\": \"string\"\n            },\n            \"example\": \"return=representation\"\n          }\n        ],\n        \"requestBody\": {\n          \"description\": \"\",\n          \"content\": {\n            \"application/json\": {\n              \"schema\": {\n                \"$ref\": \"#/components/schemas/CreatePracticeGroupModel\"\n              }\n            }\n          }\n        },\n        \"responses\": {\n          \"201\": {\n            \"description\": \"Returns the created practice group.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/PracticeGroup\"\n                }\n              }\n            }\n          },\n          \"204\": {\n            \"description\": \"Practice Group was created but identifier will not be provided in response.\"\n          },\n          \"400\": {\n            \"description\": \"If the OData filter is invalid.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"401\": {\n            \"description\": \"Caller must authenticate.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"403\": {\n            \"description\": \"Caller does not have necessary permissions.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          },\n          \"500\": {\n            \"description\": \"Server error.\",\n            \"content\": {\n              \"application/json\": {\n                \"schema\": {\n                  \"$ref\": \"#/components/schemas/ErrorResponse\"\n                }\n              }\n            }\n          }\n        }\n      }\n    }\n  },\n  \"components\": {\n    \"schemas\": {\n      \"Address\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"street1\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"street2\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"city\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"state\": {\n            \"$ref\": \"#/components/schemas/State\"\n          },\n          \"provinceRegion\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"zip\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"country\": {\n            \"$ref\": \"#/components/schemas/Country\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"AuditInformation\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"createdDateTime\": {\n            \"type\": \"string\",\n            \"format\": \"date-time\"\n          },\n          \"createdBy\": {\n            \"$ref\": \"#/components/schemas/Contact\"\n          },\n          \"changedDateTime\": {\n            \"type\": \"string\",\n            \"format\": \"date-time\"\n          },\n          \"changedBy\": {\n            \"$ref\": \"#/components/schemas/Contact\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"CompanyOffice\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"id\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          },\n          \"name\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"isActive\": {\n            \"type\": \"boolean\"\n          },\n          \"address\": {\n            \"$ref\": \"#/components/schemas/Address\"\n          },\n          \"mailingAddress\": {\n            \"$ref\": \"#/components/schemas/Address\"\n          },\n          \"phone\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"fax\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"coordinator\": {\n            \"$ref\": \"#/components/schemas/Contact\"\n          },\n          \"backupCoordinator\": {\n            \"$ref\": \"#/components/schemas/Contact\"\n          },\n          \"defaultLocale\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"auditInformation\": {\n            \"$ref\": \"#/components/schemas/AuditInformation\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"CompanyOfficeCollection\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"value\": {\n            \"type\": \"array\",\n            \"items\": {\n              \"$ref\": \"#/components/schemas/CompanyOffice\"\n            },\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"Contact\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"id\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          },\n          \"name\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"email\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"Country\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"id\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          },\n          \"name\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"isoCode\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"CreateOrganizationalUnitModel\": {\n        \"required\": [\n          \"isActive\",\n          \"name\",\n          \"parentId\"\n        ],\n        \"type\": \"object\",\n        \"properties\": {\n          \"name\": {\n            \"maxLength\": 50,\n            \"type\": \"string\",\n            \"description\": \"Organizational unit name.\"\n          },\n          \"isActive\": {\n            \"type\": \"boolean\",\n            \"description\": \"Is organizational unit active.\"\n          },\n          \"parentId\": {\n            \"type\": \"integer\",\n            \"description\": \"Organizational unit parent identifier.\",\n            \"format\": \"int32\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"CreatePracticeGroupModel\": {\n        \"required\": [\n          \"isActive\",\n          \"name\",\n          \"parentId\"\n        ],\n        \"type\": \"object\",\n        \"properties\": {\n          \"name\": {\n            \"maxLength\": 50,\n            \"type\": \"string\",\n            \"description\": \"Practice Group name.\"\n          },\n          \"isActive\": {\n            \"type\": \"boolean\",\n            \"description\": \"Is practice group active.\"\n          },\n          \"parentId\": {\n            \"type\": \"integer\",\n            \"description\": \"Practice Group parent identifier.\",\n            \"format\": \"int32\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"Error\": {\n        \"required\": [\n          \"code\",\n          \"message\"\n        ],\n        \"type\": \"object\",\n        \"properties\": {\n          \"code\": {\n            \"type\": \"string\"\n          },\n          \"message\": {\n            \"type\": \"string\"\n          },\n          \"target\": {\n            \"type\": \"string\"\n          },\n          \"details\": {\n            \"type\": \"array\",\n            \"items\": {\n              \"required\": [\n                \"code\",\n                \"message\"\n              ],\n              \"type\": \"object\",\n              \"properties\": {\n                \"code\": {\n                  \"type\": \"string\"\n                },\n                \"message\": {\n                  \"type\": \"string\"\n                },\n                \"target\": {\n                  \"type\": \"string\"\n                }\n              }\n            }\n          },\n          \"innerError\": {\n            \"required\": [\n              \"code\",\n              \"message\"\n            ],\n            \"type\": \"object\",\n            \"properties\": {\n              \"code\": {\n                \"type\": \"string\"\n              },\n              \"message\": {\n                \"type\": \"string\"\n              }\n            }\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"ErrorResponse\": {\n        \"required\": [\n          \"error\"\n        ],\n        \"type\": \"object\",\n        \"properties\": {\n          \"error\": {\n            \"$ref\": \"#/components/schemas/Error\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"OrganizationalUnit\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"id\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          },\n          \"name\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"isActive\": {\n            \"type\": \"boolean\"\n          },\n          \"parentId\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"OrganizationalUnitCollection\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"value\": {\n            \"type\": \"array\",\n            \"items\": {\n              \"$ref\": \"#/components/schemas/OrganizationalUnit\"\n            },\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"PracticeGroup\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"id\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          },\n          \"name\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"isActive\": {\n            \"type\": \"boolean\"\n          },\n          \"parentId\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"PracticeGroupCollection\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"value\": {\n            \"type\": \"array\",\n            \"items\": {\n              \"$ref\": \"#/components/schemas/PracticeGroup\"\n            },\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"State\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"id\": {\n            \"type\": \"integer\",\n            \"format\": \"int32\"\n          },\n          \"name\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          },\n          \"abbreviation\": {\n            \"type\": \"string\",\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"UpdateOrganizationalUnitModel\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"name\": {\n            \"maxLength\": 50,\n            \"type\": \"string\",\n            \"description\": \"Organizational unit name\",\n            \"nullable\": true\n          },\n          \"isActive\": {\n            \"type\": \"boolean\",\n            \"description\": \"Is organizational unit active.\",\n            \"nullable\": true\n          },\n          \"parentId\": {\n            \"type\": \"integer\",\n            \"description\": \"Organizational unit parent identifier.\",\n            \"format\": \"int32\",\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      },\n      \"UpdatePracticeGroupModel\": {\n        \"type\": \"object\",\n        \"properties\": {\n          \"name\": {\n            \"maxLength\": 50,\n            \"type\": \"string\",\n            \"description\": \"Practice Group name.\",\n            \"nullable\": true\n          },\n          \"isActive\": {\n            \"type\": \"boolean\",\n            \"description\": \"Is practice group active.\",\n            \"nullable\": true\n          },\n          \"parentId\": {\n            \"type\": \"integer\",\n            \"description\": \"Practice Group parent identifier.\",\n            \"format\": \"int32\",\n            \"nullable\": true\n          }\n        },\n        \"additionalProperties\": false\n      }\n    },\n    \"securitySchemes\": {\n      \"OAuth2\": {\n        \"type\": \"oauth2\",\n        \"flows\": {\n          \"clientCredentials\": {\n            \"tokenUrl\": \"https://api.thomsonreuters.com/onepass/oauth2/token?grant_type=client_credentials\",\n            \"scopes\": { }\n          }\n        }\n      }\n    }\n  },\n  \"security\": [\n    {\n      \"OAuth2\": [ ]\n    }\n  ],\n  \"tags\": [\n    {\n      \"name\": \"Offices\",\n      \"description\": \"Use the Offices endpoint to get company offices details.\"\n    },\n    {\n      \"name\": \"OrganizationalUnits\",\n      \"description\": \"Use the organizational-units endpoint to get and manage organizational units details.\"\n    },\n    {\n      \"name\": \"PracticeGroups\",\n      \"description\": \"Use the practice-groups endpoint to get and manage practice groups details.\"\n    }\n  ]\n}","documents":[{"version":"1.0","title":"Company List API","openApi":"{\"openapi\":\"3.0.1\",\"info\":{\"title\":\"Company List API\",\"description\":\"The Company List API provides read-only info of accessible companies in the TrackerMaster database\",\"contact\":{\"name\":\"devportal\"},\"version\":\"1.0\"},\"servers\":[{\"url\":\"https://api.thomsonreuters.com/legal-tracker/companylist-api/v1\"},{\"url\":\"https://api.thomsonreuters.co.uk/legal-tracker/companylist-api/v1\"},{\"url\":\"https://api.thomsonreuters.ca/legal-tracker/companylist-api/v1\"},{\"url\":\"https://api.thomsonreuters.com.au/legal-tracker/companylist-api/v1\"},{\"url\":\"https://api.thomsonreuters.de/legal-tracker/companylist-api/v1\"},{\"url\":\"https://api.thomsonreuters.ae/legal-tracker/companylist-api/v1\"}],\"paths\":{\"/companies\":{\"get\":{\"tags\":[\"Companies\"],\"summary\":\"Retrieve list of companies accessible to current user.\",\"operationId\":\"Companies_Get\",\"parameters\":[{\"name\":\"$top\",\"in\":\"query\",\"description\":\"Show only the first n items, see [Paging - Top](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptiontop)\",\"schema\":{\"maximum\":1000,\"minimum\":1,\"type\":\"integer\",\"default\":50},\"example\":50},{\"name\":\"$skip\",\"in\":\"query\",\"description\":\"Skip the first n items, see [Paging - Skip](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionskip)\",\"schema\":{\"minimum\":0,\"type\":\"integer\",\"default\":0},\"example\":0},{\"name\":\"$filter\",\"in\":\"query\",\"description\":\"Filter items by property values, see [Filtering](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionfilter)<br /><br /><i>Available operations:</i> eq, ne, gt, ge, lt, le, in, and, or, not<br /><i>Available functions:</i> contains, startswith, endswith, indexof<br /><i>Available properties:</i> id, name, webAppUrl, apiBaseUrl\",\"schema\":{\"type\":\"string\",\"nullable\":true},\"example\":\"id eq 111222\"},{\"name\":\"$select\",\"in\":\"query\",\"description\":\"Select properties to be returned, see [Select](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionselect)\",\"schema\":{\"uniqueItems\":true,\"type\":\"array\",\"items\":{\"enum\":[\"id\",\"name\",\"webAppUrl\",\"apiBaseUrl\"],\"type\":\"string\"}}},{\"name\":\"$orderby\",\"in\":\"query\",\"description\":\"Order items by property values, see [Sorting](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptionorderby)\",\"schema\":{\"uniqueItems\":true,\"type\":\"array\",\"items\":{\"enum\":[\"id\",\"name\",\"webAppUrl\",\"apiBaseUrl\",\"id desc\",\"name desc\",\"webAppUrl desc\",\"apiBaseUrl desc\"],\"type\":\"string\"}}},{\"name\":\"$count\",\"in\":\"query\",\"description\":\"Include count of items, see [Count](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html#sec_SystemQueryOptioncount)\",\"schema\":{\"type\":\"integer\"}}],\"responses\":{\"200\":{\"description\":\"Returns list of companies accessible to current user.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/CompanyInfoCollection\"}}}},\"401\":{\"description\":\"If the user is not authenticated.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorResponse\"}}}},\"403\":{\"description\":\"If the current user is not authorized to perform this action.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorResponse\"}}}},\"500\":{\"description\":\"If a server error has occurred.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorResponse\"}}}}}}}},\"components\":{\"schemas\":{\"CompanyInfoCollection\":{\"type\":\"object\",\"properties\":{\"value\":{\"type\":\"array\",\"items\":{\"$ref\":\"#/components/schemas/CompanyInfoModel\"},\"nullable\":true}},\"additionalProperties\":false},\"CompanyInfoModel\":{\"type\":\"object\",\"properties\":{\"id\":{\"type\":\"integer\",\"description\":\"The identifier for the company.\",\"format\":\"int32\"},\"name\":{\"type\":\"string\",\"description\":\"The name of the company.\",\"nullable\":true},\"webAppUrl\":{\"type\":\"string\",\"description\":\"The URL of web application for the company.\",\"nullable\":true},\"apiBaseUrl\":{\"type\":\"string\",\"description\":\"The base URL for API services.\",\"nullable\":true}},\"additionalProperties\":false},\"Error\":{\"required\":[\"code\",\"message\"],\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"string\"},\"message\":{\"type\":\"string\"},\"target\":{\"type\":\"string\"},\"details\":{\"type\":\"array\",\"items\":{\"required\":[\"code\",\"message\"],\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"string\"},\"message\":{\"type\":\"string\"},\"target\":{\"type\":\"string\"}}}},\"innerError\":{\"required\":[\"code\",\"message\"],\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"string\"},\"message\":{\"type\":\"string\"}}}},\"additionalProperties\":false},\"ErrorResponse\":{\"required\":[\"error\"],\"type\":\"object\",\"properties\":{\"error\":{\"$ref\":\"#/components/schemas/Error\"}},\"additionalProperties\":false}},\"securitySchemes\":{\"OAuth2\":{\"type\":\"oauth2\",\"flows\":{\"clientCredentials\":{\"tokenUrl\":\"https://api.thomsonreuters.com/onepass/oauth2/token?grant_type=client_credentials\",\"scopes\":{}}}},\"Token\":{\"type\":\"http\",\"description\":\"Access token (TR Account)\",\"scheme\":\"bearer\"}}},\"security\":[{\"OAuth2\":[]},{\"Token\":[]}],\"tags\":[{\"name\":\"Companies\",\"description\":\"Use the Companies endpoint to get information about accessible companies.\"}]}"}]}]